# SolarEdge Inverter Exporter

## Local Modbus/TCP Exporter

Usage:
```
solaredge_modbus.py [-d] [-l LISTEN] [-p PORT] HOST [PORT]

Prometheus exporter for SolarEdge inverters

positional arguments:
  HOST                  Inverter Network Address
  PORT                  Inverter Modbus/TCP port (default: 1502)

options:
  -h, --help            show this help message and exit
  -d, --debug           Enable debug info in HTTP answers (default: False)
  -l LISTEN, --listen LISTEN
                        Address to bind for the HTTP server (default: localhost)
  -p PORT, --listen-port PORT
                        Port of the HTTP server (default: 9150)
```

## Cloud API Exporter

Edit the `solaredge_api` script and put your API key, site id and inverter serial number
Edit the listening host and port if needed


